Skip to main content
PATCH
/
api
/
v0
/
repositories
/
{repo_id}
/
users
/
{user_id}
Update the user information in the context of a repository.
curl --request PATCH \
  --url https://api.example.com/api/v0/repositories/{repo_id}/users/{user_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "notificationInterest": {
    "system": true,
    "findingCreated": true,
    "findingUpdated": true,
    "commentsAll": true,
    "commentsReply": true,
    "assigned": true
  },
  "immediateNotificationFindingSeverity": {
    "critical": true,
    "high": true,
    "medium": true,
    "low": true,
    "informational": true,
    "gasOptimization": true
  },
  "notificationFindingAssetGroupIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "notificationFindingSafeHarbor": true
}
'
import requests

url = "https://api.example.com/api/v0/repositories/{repo_id}/users/{user_id}"

payload = {
"notificationInterest": {
"system": True,
"findingCreated": True,
"findingUpdated": True,
"commentsAll": True,
"commentsReply": True,
"assigned": True
},
"immediateNotificationFindingSeverity": {
"critical": True,
"high": True,
"medium": True,
"low": True,
"informational": True,
"gasOptimization": True
},
"notificationFindingAssetGroupIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"notificationFindingSafeHarbor": True
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
notificationInterest: {
system: true,
findingCreated: true,
findingUpdated: true,
commentsAll: true,
commentsReply: true,
assigned: true
},
immediateNotificationFindingSeverity: {
critical: true,
high: true,
medium: true,
low: true,
informational: true,
gasOptimization: true
},
notificationFindingAssetGroupIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
notificationFindingSafeHarbor: true
})
};

fetch('https://api.example.com/api/v0/repositories/{repo_id}/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}

Path Parameters

repo_id
string<uuid>
required
user_id
string<uuid>
required

Body

application/json

Update User information in the context of a repository.

notificationInterest
null | object

When the interests are deleted it will use the user's default notification interest.

notificationFrequency
null | enum<string>

When the frequency is deleted it will use the user's default notification frequency.

Available options:
immediate,
daily,
default
immediateNotificationFindingSeverity
null | object

Specifies whether the user wants to receive immediate notifications for findings with specific severities.

repositoryRole
null | enum<string>

Role the user has in the repository.

Allowed changes:

FromTo clientTo judgeTo triagerTo reviewerTo admin
ClientNo-opOkOkNoNot in competitions
JudgeOkNo-opOkNoYes
TriagerOkOkNo-opNoYes
ReviewerNoNoNoNo-opNo
AdminOkOkOkNoNo-op
Available options:
client,
reviewer,
judge,
triager,
admin
notificationFindingAssetGroupIds
string<uuid>[] | null

Asset group IDs for filtering finding notifications.

notificationFindingSafeHarbor
boolean | null

Safe harbor asset notification preference.

Response

Update successful